<p>product works!</p>

<product-price *ngIf="isProductVisible" [price]="currentPrice"></product-price>

<button (click)="isProductVisible = !isProductVisible">
  Toogle
</button>

<button (click)="increasePrice()">
  +1 Price
</button>